#include "../lib/mygcn.h"
#include "gcif.c"
#include "irq.c"
#include "exi.c"

PAD Pad;



int main() {

    u32 *fb = (u32*)0xc0500000;   

  VIDEO_Init(VIDEO_640X480_NTSC_YUV16);
  VIDEO_SetFrameBuffer(VIDEO_FRAMEBUFFER_BOTH, (u32)fb);
  RENDER_ClearFrameBuffer(fb, COLOR_BLACK);
  DEBUG_InitText(fb, COLOR_WHITE);
  
  DEBUG_Print(20, 50, "Press A to Switch to 100 Mbit");
  DEBUG_Print(20, 70, "Press Start to Reaload another DOL");

  while (1) {
   
 
    
    PAD_ReadState(&Pad, PAD_CHANNEL_0);

		

		if(Pad.Digital.Start)
		{

		asm ("lis 3, 0x8000");
		asm ("ori 3, 3, 0x1800");
		asm ("mtlr 3");
		asm ("blrl");
		  
		}

		if(Pad.Digital.A)
		{
	    	eth_outb(0x30, 0x83);      // Switch to 100 Mbit
		}
		
    VIDEO_WaitVSync();
  }

  return 0;
}

